var MENU;
//计算左面的
$(document).ready(function () {

    console.log($.zui.store.enable)

    setletftime();

    $('#treeMenu').on('click', 'a', function () {
        if ($(this).hasClass("p_m")) { return; }
        $('#treeMenu li.active').removeClass('active');
        $(this).closest('li').addClass('active');
        getPageInfo(this.id)
        // $("#main_content").html(getPageInfo(this.id));
    });

    //获取用户信息
    var user = $.zui.store.get("user")
    if (user == null || typeof (user) == "undefined") {
        layer.msg('登陆已经过期，将重新登陆！', {
            time: 2000, //20s后自动关闭
        }, function () {
            self.location = base_ui_url + UI_USER_LOGIN
        })

        return;
    } else {
        var html = "<i class=\"icon icon-user\"></i>  " + user.truename + ",欢迎您"
        $("#user").html(html);
    }

    $("#user").on("click", function () {
        layer.confirm('您确定要退出登录？', {
            btn: ['确定'] //按钮
        }, function () {
            UserLoginOUT(function () {
               
                self.location = base_ui_url + UI_USER_LOGIN
            }, function (error) {
                layer.msg(error, { icon: 3 });
            })
        });
    });



    MenuGetAll(function (data) {
        var secondMenus=[];
        //初始化菜单
        var treedata = [];
        for (var i = 0; i < data.length; i++) {
            var menu = data[i];
            var datatemp = {}
            datatemp["html"] = "<a  id=\"" + menu.id + "\" class=\"p_m\" href=\"#\"><i class=\"icon icon-" + menu.iconClass + "\"></i>" + menu.menuname + "</a>";

            datatemp["open"] = false;
            if (menu.childs.length > 0) {
                var datac = [];
                for (var j = 0; j < menu.childs.length; j++) {
                    var datactemp = {}
                    var mtemp = menu.childs[j];
                    datactemp["html"] = "<a id=\"" + mtemp.id + "\" href=\"#\"><i class=\"icon\">·</i>" + mtemp.menuname + "</a>";
                    secondMenus.push(mtemp.id);
                    datac.push(datactemp);
                }
                datatemp["children"] = datac;
            }
            treedata.push(datatemp)
        }
        // 获取 tree 实例
        var myTree = $('#treeMenu').data('zui.tree');
        // 更新数据
        myTree.reload(treedata);
        myTree.collapse();

        MENU = data;
        //获取当前页
        var currentpage = 0;
        currentpage = $.zui.store.get("currentpage");
        if (typeof (currentpage) != undefined && currentpage != null) {
            //改变页面
            getPageInfo(currentpage);
        }else{
            getPageInfo(secondMenus[0]);
        }
    }, function (error) { });

});

function chageToPageUI(menu) {
    $('#treeMenu').tree('expand', $("#" + menu.parentId).parent());
    $('#treeMenu li.active').removeClass('active');
    $("#" + menu.id).closest('li').addClass('active');
}



function setletftime() {
    var height = window.innerHeight;

    $("#mum_left").css("min-height", height - 90);
    if ($("#main").height() > height) {
        $("#mum_left").css("min-height", $("#main").height() - 80);
    }

    setTimeout(setletftime, 100);
}


function getPageInfo(id) {
    //设置当前页面
    $.zui.store.set("currentpage", id);
    if (typeof (MENU) != "undefined" && MENU != null) {
        for (var i = 0; i < MENU.length; i++) {
            var menu = MENU[i];
            if (menu.id == id) {
                if (typeof (menu.url) != "undefined") {
                    changePage(menu.url);
                    chageToPageUI(menu)
                    return;
                }
                break;
            }
            if (menu.childs.length > 0) {
                for (var j = 0; j < menu.childs.length; j++) {
                    var mtemp = menu.childs[j];
                    if (mtemp.id == id) {
                        if (typeof (mtemp.url) != "undefined") {
                            changePage(mtemp.url);
                            chageToPageUI(mtemp)
                            return;
                        }
                        break;
                    }
                }
            }

        }
    }
    return $("#main_content").load(base_ui_url + "/view/user/aa.html");


}


function changePage(url) {
    if (typeof (url) != "undefined") {
        CURRENT_PAGE_URL = url;
        $("#main_content").load(base_ui_url + url);

        event = document.createEvent('MessageEvent');
        var origin = window.location.protocol + '//' + window.location.host;
        event.initMessageEvent('changepage', true, true, CURRENT_PAGE_URL, origin, 1234, window, null);
        document.dispatchEvent(event);
    }
}